import { Icon } from '@/shared/Icon';
import { Comment } from '@/types/models';
import React from 'react';

interface CommentItemProps {
  comment: Comment;
}

export const CommentItem = (commentItemProps: CommentItemProps): JSX.Element => {
  const { comment } = commentItemProps;
  const { owner, content } = comment;
  return (
    <div className="flex justify-between">
      <div> {owner}</div>
      <div> {content} </div>
      <Icon name="arrow" className="h-6 w-6 fill-font-500" />
    </div>
  );
};
