import { EntityNumber } from '@/redux/entityNumber/entityNumber.types';
import { MultiPinBioEntity } from '@/types/bioEntity';
import { UsePointToProjectionResult } from '@/utils/map/usePointToProjection';
import { Feature } from 'ol';
import { getMultipinSingleFeature } from './getMultipinSingleFeature';

export const getMultipinFeatures = (
  multipins: MultiPinBioEntity[],
  {
    pointToProjection,
    entityNumber,
    activeIds,
  }: {
    pointToProjection: UsePointToProjectionResult;
    entityNumber: EntityNumber;
    activeIds: (string | number)[];
  },
): Feature[] => {
  return multipins.map(multipin =>
    getMultipinSingleFeature(multipin, {
      pointToProjection,
      entityNumber,
      activeIds,
    }),
  );
};
