/* eslint-disable no-magic-numbers */
import { bioEntityContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import { findClosestBioEntityPoint } from './findClosestBioEntityPoint';

describe('findClosestBioEntityPoint', () => {
  const bioEntityContents = [
    {
      ...bioEntityContentFixture,
      bioEntity: { ...bioEntityContentFixture.bioEntity, x: 10, y: 10, width: 20, height: 20 },
    },
    {
      ...bioEntityContentFixture,
      bioEntity: { ...bioEntityContentFixture.bioEntity, x: 50, y: 50, width: 30, height: 30 },
    },
  ];

  const validPoint = { x: 15, y: 15 };
  const invalidPoint = {
    x: 500,
    y: 300,
  };

  const searchDistance = '10';
  const maxZoom = 5;
  const zoom = 2;

  it('should return the closest bioEntity within the search distance', () => {
    const result = findClosestBioEntityPoint(
      bioEntityContents,
      searchDistance,
      maxZoom,
      zoom,
      validPoint,
    );
    expect(result).toEqual(bioEntityContents[0]);
  });

  it('should return undefined if no matching bioEntity is found within the search distance', () => {
    const result = findClosestBioEntityPoint(
      bioEntityContents,
      searchDistance,
      maxZoom,
      zoom,
      invalidPoint,
    );
    expect(result).toBeUndefined();
  });
});
