/* eslint-disable no-magic-numbers */
import { getMaxClickDistance } from './getMaxClickDistance';

describe('getMaxClickDistance', () => {
  it.each([
    [10, 5, '10', 320],
    [10, 5, '20', 640],
    [10, 2, '10', 2560],
    [10, 3, '18', 2304],
  ])(
    'should calculate the maximum click distance correctly',
    (maxZoom, zoom, searchDistance, expected) => {
      expect(getMaxClickDistance(maxZoom, zoom, searchDistance)).toBe(expected);
    },
  );

  it.each([['invalid'], [''], [' ']])(
    'should throw an error if the search distance "%s" is not a valid number',
    invalidDistance => {
      expect(() => getMaxClickDistance(10, 5, invalidDistance)).toThrow(
        'Invalid search distance. Please provide a valid number.',
      );
    },
  );
});
