import { FetchDataState } from '@/types/fetchDataState';
import { BioEntity, Comment } from '@/types/models';
import { PayloadAction } from '@reduxjs/toolkit';

export interface CommentsState extends FetchDataState<Comment[], []> {
  isOpen: boolean;
  commentElement: BioEntity | null;
}

export type OpenCommentByIdPayload = number | string;
export type OpenCommentByIdAction = PayloadAction<OpenCommentByIdPayload>;

export type GetElementProps = {
  elementId: number;
  modelId: number;
};
